# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['coverage_lcov']

package_data = \
{'': ['*']}

install_requires = \
['click>=7.1.2,<8.0.0', 'coverage>=5.5,<6.0']

entry_points = \
{'console_scripts': ['coverage-lcov = coverage_lcov.cli:main',
                     'test = pytest:main']}

setup_kwargs = {
    'name': 'coverage-lcov',
    'version': '0.2.1',
    'description': 'A simple .coverage to LCOV converter',
    'long_description': '# coverage-lcov\n\n`coverage-lcov` is a simple CLI for converting `.coverage` files generated by [Coverage.py](https://github.com/nedbat/coveragepy) to the `LCOV` format.\n\n## Credits\n\n- This tools is based on code from [Coverage.py](https://github.com/nedbat/coveragepy/blob/master/coverage/report.py)\n- This tool is forked from [coveragepy-lcov](https://github.com/chaychoong/coveragepy-lcov) by [Chay Choong](https://github.com/chaychoong) to add support for older python versions.\n\n## Installation\n\nUsing pip:\n\n```bash\npip install coverage-lcov\n```\n\n## Usage\n\n```bash\n# If the .coverage file is in your current working directory\ncoverage-lcov\n\n# Point to a different .coverage file path\ncoverage-lcov --data_file_path example/.coverage\n\n# Write the output to a different file path\ncoverage-lcov --output_file_path build/lcov.info\n\n# Use relative paths in the LCOV output\ncoverage-lcov --relative_path\n```\n\n## Options\n\n```text\nUsage: coverage-lcov [OPTIONS]\n\nOptions:\n  --data_file_path TEXT    Path to .coverage file\n  --output_file_path TEXT  lcov.info output file path\n  --config_file TEXT       Path to .coveragerc file\n  --relative_path          Use relative path in LCOV output\n  --preview                Preview LCOV output\n  --help                   Show this message and exit.\n```\n\n## Further reading\n\n- [LCOV format](http://ltp.sourceforge.net/coverage/lcov/geninfo.1.php)\n- https://github.com/nedbat/coveragepy/issues/587\n- https://github.com/chaychoong/coveragepy-lcov\n',
    'author': 'Adam Weeden',
    'author_email': 'adamweeden@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/TheCleric/coverage-lcov',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.6.3,<4.0.0',
}


setup(**setup_kwargs)
